0

When I run the command sudo npm install truffle-contract it gives me this error:

npm ERR! code 1 npm ERR! Command failed: /usr/bin/git clone -q https://github.com/debris/bignumber.js.git /home/ubuntu/.npm/_cacache/tmp/git-clone-777489e7 npm ERR! /home/ubuntu/.npm/_cacache/tmp/git-clone-777489e7/.git: Permission denied npm ERR!

npm ERR! A complete log of this run can be found in: npm ERR! /home/ubuntu/.npm/_logs/2017-12-26T05_11_27_119Z-debug.log

0

Possible solutions:

  1. sudo apt-get update
  2. update the nvm
  3. update npm
  4. update node
  5. Use a different OS and start over.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.